JazzWriterParserInternal::State Struct Reference

Internal: the state of a JazzWriterParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::map< unsigned, Zone > | m_idToZones
| map WDOC id to zones
std::map< unsigned, Paragraph > | m_idToParagraphs
| map WPPD id to zones

## Detailed Description

Internal: the state of a JazzWriterParser.

## Constructor & Destructor Documentation

## ◆ State()

JazzWriterParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_idToParagraphs

std::map<unsigned, Paragraph> JazzWriterParserInternal::State::m_idToParagraphs

map WPPD id to zones

Referenced by State().

## ◆ m_idToZones

std::map<unsigned, Zone> JazzWriterParserInternal::State::m_idToZones

map WDOC id to zones

Referenced by State().

The documentation for this struct was generated from the following file:

- JazzWriterParser.cxx